module support version

its okey for 2.2.0?
I have work over my head. Check your email and see. I have attached the module so you can test.